<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: socialmedia_panel.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;
echo "<link rel='stylesheet' href='" . INFUSIONS . "socialmedia_panel/socialmediamenu.css' type='text/css'>";
$locale = fusion_get_locale('', SOCI_LOCALE);
$settings = get_settings('socialmedia_panel');
echo '<style>
.menu-item,
.menu-open-button {
  color: ' . $settings['social_color_icon'] . ';
}
.socjal {
  background-color: ' . $settings['social_color_menu'] . ';
}

.socjal:hover {
  color: ' . $settings['social_color_iconp'] . ';
  text-shadow: none;
}
</style>';

opentable('');
echo "<table width='100%''>";
echo "<tr>";
echo "<td>";
echo "<p style='text-align: center;'>" . $locale['socialmedia_title'] . "</p>";
echo "<nav class='menu'>";
echo "<input type='checkbox' href='#' class='menu-open' name='menu-open' id='menu-open' />";
echo "<label class='menu-open-button' for='menu-open'>";
echo "<span class='menu-item socjal fas fa-users'></span>";
echo "</label>";
if ($settings['social_facebook_y_n'] == 1) {
echo "<a target='_blank' href='https://www.facebook.com/" . $settings['social_facebook_url'] . "' class='menu-item socjal'> <i class='fab fa-facebook-f'></i> </a>";
} 
if ($settings['social_twitter_y_n'] == 1) {
echo "<a target='_blank' href='https://twitter.com/" . $settings['social_twitter_url'] . "' class='menu-item socjal'> <i class='fab fa-twitter'></i> </a>";
}
if ($settings['social_instagram_y_n'] == 1) {
echo "<a target='_blank' href='https://www.instagram.com/" . $settings['social_instagram_url'] . "' class='menu-item socjal'> <i class='fab fa-instagram'></i> </a>";
}
if ($settings['social_discord_y_n'] == 1) {
echo "<a target='_blank' href='https://discord.com/" . $settings['social_discord_url'] . "' class='menu-item socjal'> <i class='fab fa-discord'></i> </a>";
}
if ($settings['social_tiktok_y_n'] == 1) {
echo "<a target='_blank' href='https://www.tiktok.com/" . $settings['social_tiktok_url'] . "' class='menu-item socjal'> <i class='fab fa-tiktok'></i> </a>";
}
if ($settings['social_youtube_y_n'] == 1) {
echo "<a target='_blank' href='https://www.youtube.com/" . $settings['social_youtube_url'] . "' class='menu-item socjal'> <i class='fab fa-youtube-square'></i> </a>";
}
echo "</nav>";
echo "</td>";
echo "</tr>";
echo "</table>";
closetable();